package sharedmodel

import (
	"gorm.io/gorm"
)

type Connection struct {
	gorm.Model
	OrganisationIdentifier     string
	OrganisationIdentifierType string
	OrganisationDisplayName    string
	AuthConfigID               uint
	AuthConfig                 *XISAuthConfig  `gorm:"constraint:OnDelete:CASCADE;"`
	Services                   []ServiceConfig `gorm:"constraint:OnDelete:CASCADE;"`
}
